package ws.ech_0214.examples.examples;


import net.ihe.gazelle.upi.model.ech_0214.Request;
import net.ihe.gazelle.upi.model.ech_0214.Response;

import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.soap.SOAPException;
import java.math.BigInteger;

/**
 * This class was generated by Apache CXF 3.5.0
 * 2022-01-14T15:39:05.538+01:00
 * Generated source version: 3.5.0
 */

@Stateless
@SOAPBinding(style = SOAPBinding.Style.DOCUMENT, parameterStyle = SOAPBinding.ParameterStyle.BARE)
@WebService(targetNamespace = "http://www.zas.admin.ch/wupispid/ws/queryService/2", name = "SpidQueryServicePortTypeV2")

public class SpidQueryService {

    public SpidQueryService() {

    }

    @WebMethod
    @WebResult(name = "response", targetNamespace = "http://www.ech.ch/xmlns/eCH-0214/2", partName = "body")
    public Response querySpid(@WebParam(partName = "body", name = "request", targetNamespace = "http://www.ech.ch/xmlns/eCH-0214/2") Request body) throws SOAPException {
        Response r = new Response();
        r.setMinorVersion(BigInteger.valueOf(1115543511));
        return r;
    }
}


@WebServiceClient(name = "SpidQueryService",
                  wsdlLocation = "file:src/main/resources/wsdl/spid-query-2-0.wsdl",
                  targetNamespace = "http://www.zas.admin.ch/wupispid/ws/queryService/2")

public class SpidQueryService extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://www.zas.admin.ch/wupispid/ws/queryService/2", "SpidQueryService");
    public final static QName SpidQueryServicePortV2 = new QName("http://www.zas.admin.ch/wupispid/ws/queryService/2", "SpidQueryServicePortV2");
    static {
        URL url = null;
        try {
            url = new URL("file:src/main/resources/wsdl/spid-query-2-0.wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(SpidQueryService.class.getName())
                .log(java.util.logging.Level.INFO,
                     "Can not initialize the default wsdl from {0}", "file:spid-query-2-0.wsdl");
        }
        WSDL_LOCATION = url;
    }

    public SpidQueryService(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public SpidQueryService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public SpidQueryService() {
        super(WSDL_LOCATION, SERVICE);
    }

    public SpidQueryService(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    public SpidQueryService(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    public SpidQueryService(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }


/**
 * @return returns SpidQueryServicePortTypeV2
 * @param features
 * A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
 * @return returns SpidQueryServicePortTypeV2
 */
    @WebEndpoint(name = "SpidQueryServicePortV2")
    public SpidQueryServicePortTypeV2 getSpidQueryServicePortV2() {
        return super.getPort(SpidQueryServicePortV2, SpidImpl.class);
    }

/**
 *
 * @param features
 *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
 * @return
 *     returns SpidQueryServicePortTypeV2
 */
    @WebEndpoint(name = "SpidQueryServicePortV2")
    public SpidQueryServicePortTypeV2 getSpidQueryServicePortV2(WebServiceFeature... features) {
        return super.getPort(SpidQueryServicePortV2, SpidQueryServicePortTypeV2.class, features);
    }

}
